目次

バージョンアップ方法

QHMをHAIKの最新版へバージョンアップする方法は、QHMの版数により異なります。
また、HAIKにバージョンアップしても、無料テーマの haik_seed は自動でインストールされません。自分でhaik_seedを取得する必要があります。

QHM V5.3未満のとき

旧Ensmall Clubは2017年3月31日をもって終了とアナウンスがありました。よって以下の手順は、3月31日までの手順となりました。それ以降は、GitHubからダウンロードして手動でバージョンアップする必要があります。
V5.3へバージョンアップ後、HAIKへバージョンアップします。
【手順】

  1. 旧Ensmall Club(今は 商品・コンテンツ一覧)を表示。
    https://ensmall.net/club/index.php
  2. QHMプロ を選択。
  3. QHMプロフェッショナルのパスワード入力画面で共通パスワードを入力。
  4. QHMプロ インストールシステム ver. 5.3 でサーバ情報入力後、「接続する」を選択する
  5. 「システムの修復」でV5.3へバージョンアップする
  6. バージョンアップしたQHMへログインする
  7. 設定メニューの「アップデート」を選択する
  8. 「QHM v6 haik へのバージョンアップ」を選択する。

QHM V5.3以上のとき

【手順】

  1. QHMへログインする
  2. 設定メニューの「アップデート」を選択する
  3. 「QHM v6 haik へのバージョンアップ」を選択する。

【注意事項】

  • QHM V5.3からHAIKへバージョンアップするとき、PHPの版数がV5.2以下のときは以下のエラーになります。サーバ側の設定を変更してPHPをV5.3以上にする必要があります。(PHP5.3, PHP5.4で実績あり)
    環境によりどのエラーになるかはわかりません。
    PHPの版数を変更できないときは、そのサーバではHAIKは利用できないと思います。

エラー内容1:

Fatal error: Class 'FilesystemIterator' not found in /home/users/1/lolipop.jp-dp41314603/web/ドメイン/plugin/system_updater.inc.php on line 230

エラー内容2:

画面が真っ白になって終わらない

haik_seedを取得する方法

haik_seedを無料で取得する方法は、以下のどれかで対応可能です。

  • 案1. HAIKを新規インストールすれば、haik_seedが自動で入るのでそれをコピーする。
     →2017.1.7現在、新規インストール用の install.php の配布がされていないので、install.php を持っていない人はできない。
  • 案2. GitHubからhaik_seedをダウンロードする。
     →設定画面からのテーマのアップロードはZIP形式でないといけない。ZIP形式のファイルとして提供されていない。
     (open-qhm/qhm 配下にある qhm/skin/hokukenstyle/haik_seed が全部必要)
     そこで最新版のHAIK V6.0.8をダウンロードして、その中にある haik_seedをZIP形式にして、それを設定画面からアップロードする。
    【手順】
  • 案3. FTPが使える人は、案2でダウンロードした haik_seed をフォルダ毎アップロードする。
    パーミッションを設定する。
    haik_seed 755
    配下のファイル 644

GitHubからダウンロードして手動でバージョンアップする方法

2017年3月31日以降は、QHMのインストーラが使えないため、自分でGitHubからHAIKをダウンロードしてバージョンアップする必要があります。無償版のQHMを利用していた人もこの方法でバージョンアップが可能です。
【手順】
工事中。いましばらくお待ちください。

無償版QHMをHAIKにバージョンアップする方法

【手順】
工事中。いましばらくお待ちください。

ご意見箱

皆様のご意見をお待ちします。

  • こんにちは。
    無料版のQHM V5.2を使っています。
    >QHMプロフェッショナルのパスワード入力画面で共通パスワードを入力
    のパスワードがわからないのですが、バージョンアップは出来ないのでしょうか? -- 武子 2017-02-06 (月) 16:05:32
  • 武子さん
    無償版を利用していた方は、イストーラーを利用できないので、この方法ではバージョンアップできません。
    ただし、GitHub上に全てのソースがありますので、最新版をダウンロードして上書きすれば、バージョンアップできるはずです。
    私はこれでバージョンアップしたことがないので、自己責任でお願いします。
    バージョンアップする前に必ずバックアップを取ってから行ってください。
    -- tomzo 2017-02-07 (火) 17:15:14
  • ありがとうございます。
    試してみます。 -- 武子 2017-02-08 (水) 15:37:49
  • 試してみました。
    最新版の上に、V5.2のめぼしいファイルを上書きしてV6.09で動いてるようです。
    ちなみに上書きしたフォルダは、
    attach
    bachup
    cache
    cachqblog
    cacheqhm
    counter
    diff
    image
    skin
    wiki
    上書きしたファイルは、
    qhm.ini.php
    です。
    これで良かったのかよくわかりませんが、ちゃんと一応動いてるように見えます。
    ありがとうございました。 -- 武子 2017-02-10 (金) 18:18:22
  • 武子さん
    バージョンアップできてよかったですね。
    js, lib, pluginは入れていなのですか?
    HAIK用の javascriptやプラグインが必要だと思いますが、もしデザインをHAIK用に変更していなければ大丈夫かもしれません。
    HAIKデザインの haik_seed を使うのであれば、これらのフォルダの上書きが必要だと思います。
    -- tomzo 2017-02-10 (金) 20:38:43
  • 最初にV6.0.9をインストール。
    その上に、上記のバックアップしたv5.2を上書きしました。
    js, lib, pluginは最初に入れたV6.0.9のままです。
    V5.2までしか使ってなかったので、HAIK用デザインはまだ触れたことがないです。
    HAIK用のデザインがちゃんと動くかは、まだよくわかりません。 -- 武子 2017-02-13 (月) 10:27:30
  • 勘違いしていました。最新版の上に古いのを上書きしたのですね。
    古いものに最新版を上書きしたと思っていました。
    多分大丈夫だと思います。 -- tomzo 2017-02-14 (火) 00:05:25

当ページは役に立ちましたか?

選択肢 投票
とても役に立った 5  
少しだけ 1  
あんまり 1